Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl.xs
Class XSAttributeDecl

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.xs.XSAttributeDecl

public class XSAttributeDecl
extends java.lang.Object
implements weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration

The XML representation for an attribute declaration schema component is an element information item

Field Summary
`static short` | `SCOPE_ABSENT`
`static short` | `SCOPE_GLOBAL`
`static short` | `SCOPE_LOCAL`

Constructor Summary
`XSAttributeDecl()`

Method Summary
`weblogic.apache.xerces.impl.xs.psvi.XSAnnotation` | `getAnnotation()` Optional.
`short` | `getConstraintType()` Value constraint: one of default, fixed.
`java.lang.String` | `getConstraintValue()` Value constraint: The actual value (with respect to the {type definition}) Should we return Object instead of DOMString?
`weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition` | `getEnclosingCTDefinition()` Locally scoped declarations are available for use only within the complex type definition identified by the `scope` property.
`java.lang.String` | `getName()` The `name` of this `XSObject` depending on the `XSObject` type.
`java.lang.String` | `getNamespace()` The namespace URI of this node, or `null` if it is unspecified.
`short` | `getScope()` Optional.
`short` | `getType()` Get the type of the object, i.e ELEMENT_DECLARATION.
`weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition` | `getTypeDefinition()` A simple type definition
`ValidatedInfo` | `getValInfo()`
`void` | `reset()`
`void` | `setValues(java.lang.String name, java.lang.String targetNamespace, XSSimpleType simpleType, short constraintType, short scope, ValidatedInfo valInfo, XSComplexTypeDecl enclosingCT)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCOPE_ABSENT

    public static final short SCOPE_ABSENT

### SCOPE_GLOBAL

    public static final short SCOPE_GLOBAL

### SCOPE_LOCAL

    public static final short SCOPE_LOCAL

Constructor Detail

### XSAttributeDecl

    public XSAttributeDecl()

Method Detail

### setValues

    public void setValues(java.lang.String name,
                          java.lang.String targetNamespace,
                          XSSimpleType simpleType,
                          short constraintType,
                          short scope,
                          ValidatedInfo valInfo,
                          XSComplexTypeDecl enclosingCT)

### reset

    public void reset()

### getType

    public short getType()

  Get the type of the object, i.e ELEMENT_DECLARATION.

### getName

    public java.lang.String getName()

  The `name` of this `XSObject` depending on the `XSObject` type.

### getNamespace

    public java.lang.String getNamespace()

  The namespace URI of this node, or `null` if it is unspecified. defines how a namespace URI is attached to schema components.

### getTypeDefinition

    public weblogic.apache.xerces.impl.xs.psvi.XSSimpleTypeDefinition getTypeDefinition()

  A simple type definition
  Specified by:
    getTypeDefinition in interface weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration

### getScope

    public short getScope()

  Optional. Either global or a complex type definition ( `ctDefinition`). This property is absent in the case of declarations within attribute group definitions: their scope will be determined when they are used in the construction of complex type definitions.
  Specified by:
    getScope in interface weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration

### getEnclosingCTDefinition

    public weblogic.apache.xerces.impl.xs.psvi.XSComplexTypeDefinition getEnclosingCTDefinition()

  Locally scoped declarations are available for use only within the complex type definition identified by the `scope` property.
  Specified by:
    getEnclosingCTDefinition in interface weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration

### getConstraintType

    public short getConstraintType()

  Value constraint: one of default, fixed.
  Specified by:
    getConstraintType in interface weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration

### getConstraintValue

    public java.lang.String getConstraintValue()

  Value constraint: The actual value (with respect to the {type definition}) Should we return Object instead of DOMString?
  Specified by:
    getConstraintValue in interface weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration

### getAnnotation

    public weblogic.apache.xerces.impl.xs.psvi.XSAnnotation getAnnotation()

  Optional. Annotation.
  Specified by:
    getAnnotation in interface weblogic.apache.xerces.impl.xs.psvi.XSAttributeDeclaration

### getValInfo

    public ValidatedInfo getValInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD